<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_89317315bf1853e3644635cf16af3" . "b06" => base64_decode("VGV4dCBleHRyYWN0" . "b3IgZXJyb3IgZnJv" . "bSBmaWxlICI="), "_76b8f4f0c6d" . "86cb513c6a0c" . "491de1e8d" => base64_decode("VGV4dCBleHRyYWN0b3IgaXMgY29uZmlndXJlZCBidXQgdGhlIGNvbm5lY3Rpb24gY2hlY2sgZmFp" . "bGVkIHNvIGl0IHdpbGwgYmUgZGlzYWJsZWQuIE1lc3NhZ2U6ICI="), "_e92ad742fc12ec1" . "dd5c30557fafca33" . "1" => base64_decode("Ig" . "=="), "_63fc7fd38817bf" . "222bc4e3a04e17f" . "2c3" => base64_decode("Ii4gTWVzc2FnZTog" . "Ig=="), "_4d707fab93bebb00bbe69e8159697c9" . "0" => base64_decode(""));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Vaites\ApacheTika;
class TextExtractorService implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected ?ApacheTika\Client $tikaClient = null;
    protected ?bool $isWorking = null;
    public function __construct(?ApacheTika\Client $_7ea853d2916986a25d9e854d8839f86e = null, LoggerInterface $logger = null)
    {
        $this->setLogger($logger ?? new NullLogger());
        $this->tikaClient = $_7ea853d2916986a25d9e854d8839f86e;
    }
    
    
    
    
    
    public function getText(string $filename) : string
    {
        if ($this->tikaClient === null || !$this->isAvailable()) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0"];
        }
        try {
            return $this->tikaClient->getText($filename);
        } catch (\Exception $e) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_89317315bf185" . "3e3644635cf16a" . "f3b06"] . $filename . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_63fc7fd38" . "817bf222bc" . "4e3a04e17f" . "2c3"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e92ad742fc" . "12ec1dd5c30" . "557fafca331"]);
            $this->logger->debug($e);
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93beb" . "b00bbe69e81596" . "97c90"];
        }
    }
    public function isAvailable() : bool
    {
        if ($this->isWorking === null) {
            $this->isWorking = false;
            if ($this->tikaClient !== null) {
                try {
                    $this->tikaClient->check();
                    $this->isWorking = true;
                } catch (\Exception $e) {
                    $this->logger->error($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_76b8f4f0c6d86cb513c" . "6a0c491de1e8d"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e92ad742fc12ec1dd5c30557fafca" . "331"]);
                    $this->logger->debug($e);
                }
            }
        }
        return $this->isWorking;
    }
}